<template>
  <q-layout view="hHh lpR fFf">
    <q-page-container>

      <q-header elevated>
        <Toolbar 
          :pageTitle="$t('begin_conference_information.page_title')"/>
      </q-header>

      <q-page class="pl-fullpage window-height window-width row justify-center items-center">
        <div class="text-h6 text-center q-mt-lg text-weight-light q-mx-md" style="margin-bottom: 25%">
          <h5>{{ $t("begin_conference_information.get_ready") }}</h5>

          
          <!-- <h5>{{ $t("begin_conference_information.how_join") }}</h5> -->

          <!-- <div class="join_choices">
            <div class="choice">
              <h6>{{ $t("begin_conference_information.choice_internet") }}</h6>
              <i>{{ $t("begin_conference_information.recommended") }}</i>
              <p>{{ $t("begin_conference_information.choice_internet_desc") }}</p>
              <p>{{ $t("begin_conference_information.choice_internet_expl") }}</p>
              <div class="btm">
                <q-btn
                style="font-size:16px"
                  rounded
                  color="positive"
                  @click="handleJoin(false)">
                  {{ $t("begin_conference_information.choice_internet_btn") }}
                </q-btn>
              </div>
            </div> -->
            <!-- <div class="choice"> -->
                        <p>{{ $t("begin_conference_information.about_to_start") }}</p>
          <p>{{ $t("begin_conference_information.move_to_quiet_space") }}</p>
              <!-- <h6>{{ $t("begin_conference_information.choice_phone") }}</h6> -->
              <p>{{ $t("begin_conference_information.choice_phone_desc") }}</p>
              <p>{{ $t("begin_conference_information.choice_phone_expl") }}</p>
              <!-- <div class="btm"> -->
                <q-btn
                  style="font-size:16px; margin-top:20px;"
                  rounded
                  color="positive"
                  @click="handleJoin(true)">
                  {{ $t("begin_conference_information.choice_phone_btn") }}
                </q-btn>
              <!-- </div> -->
            <!-- </div> -->
          <!-- </div>          

          <p>{{ $t("begin_conference_information.change_mind") }}</p> -->
        </div>
      </q-page>
    </q-page-container>
  </q-layout>
</template>
<script>
import { auth, db, functions } from "../firebase";
import { DateTime } from "luxon";
import Toolbar from "../components/Toolbar.vue";

export default {
  props: ["toolbar"],
  data() {
    return {
      conference: { loading: true },
      user: { loading: true },
    };
  },
  created() {
    this.$rtdbBind(
      "conference",
      db.ref("Conferences/Upcoming").child(this.$route.params.id)
    )

    this.$rtdbBind("user", db.ref(`Users/${auth.currentUser.uid}`));
  },
  methods: {
    formattedScheduledStartTimeFor(obj) {
      return DateTime.fromMillis(obj.ScheduledStart).toLocaleString(
        DateTime.TIME_SIMPLE
      );
    },
    async handleJoin(callPhone) {
      if (this.conference.loading || this.user.loading) return;
      this.$q.loading.show();
      const startConferenceFBFunction =
        functions.httpsCallable("startConference");
      await startConferenceFBFunction({
        ConferenceId: this.$route.params.id,
        CallHost: callPhone
      }).catch((error) =>
        this.$q.notify({
          type: "negative",
          message: error,
        })
      );

      this.$router.replace(`/conference/${this.$route.params.id}?joinRtc=${!callPhone}`);
      this.$q.loading.hide();
    },
  },
  components: {
    Toolbar
  },
};
</script>
<style scoped>

.join_choices {
  display: inline-flex;
  margin-bottom: 20px;
}


.choice {
  border-style: solid;
  margin: auto;
  width: 45%;
  padding: 6px 12px;
  display: inline-block;
  height: 415px;
  position: relative;
  font-size: 18px;
}

.choice i {
  color: #5526e4;
}

.choice h6 {
  margin: 30px 0px;
}

@media only screen and (max-width: 1200px) {
  .choice {
    width: 48%;
    display: block;
    font-size: 17px;
  }
}

@media only screen and (max-width: 720px) {
  .join_choices {
    display: block;
  }
  .choice {
    width: 65%;
    min-width: 330px;
    display: block;
    margin-bottom:5px;
  }
}

.btm {
  position:absolute; 
  bottom:25px;
  width: 100%;
  margin-left:-10px;
}
</style>